var allSupplier = [];
$(function () {  

    $("#sSupplierId").select2();

    $("#tOrder tr td").click(function () {
        if ($(this).parent().hasClass("totalTd")) {
            return;
        }        
        else {
            ShowStockInDetail($(this).parent().attr("id"));
        }
    });

    TdRowOverOut("tOrder");      
    SetSpanColor("tOrder");
    
    $("#btnExportExcel").click(function () {
        if (checkRequired('dSearch', '') == false) {
            return false;
        }
        if (!checkField()) {
            return;
        }
        location.href = "/Warehouse/GetSupplierStatementExcel?sSupplierId=" + $("#sSupplierId").val() + "&sBeginDate=" + $("#sBeginDate").val() +
            "&sEndDate=" + $("#sEndDate").val() + "&sPaymentStatus=" + $("#sPaymentStatus").val()+ "&sType=" + $("#sType").val()+ "&sStatus=" + $("#sStatus").val();
    });

});
function checkField() {
    ClearErrorMsg();

    if (checkRequired('dSearch', '') == false) {
        return false;
    }
    else if (DateDiff($("#sBeginDate").val(), $("#sEndDate").val()) > 366) {
        SetErrorMsg("提示：起止时间跨度最多为1年。如果时间跨度超过1年，请分多次查询。");
        return false;
    }
    else {
        return true;
    }
}

